 <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Play Salvo</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="./css/image.css">
</head>
<body>
    <div id="salvoApp" v-bind:style=" { height: currentHeight } ">
        <div class="navbar bg-dark navbar-dark">
            <div class="justyfy-content-start">
                <div>
                    <button class="btn btn-default" v-on:click="returnHome()"> Return </button>
                </div>
            </div>
            <div class="justify-content-center">
                    <!--<h4 style="color: white"> {{ player.user }}! </h4>-->
                <h4 style="color: white"> {{ player && player.user ? player.user : "" }} vs {{ enemy && enemy.user ? enemy.user : "Waiting opponent..."}} </h4>
            </div>
            <div class="justify-content-end">
                    <button class="btn" v-on:click="logout()"> Logout </button>
            </div>
        </div>
        <div class="row pt-2">
            <div class="col-md-4">
                <center>
                    <h4> My Ships!</h4>
                    <table style="background: url('./img/BackGround.gif')" draggable="true">
                        <tr v-for="indexV in 10"   v-on:dragover="dragover">
                            <td v-for="indexH in 10" v-bind:id="grid.charAt(indexH -1) + indexV" style="background-color: transparent" v-on:dragover="dragover" v-bind:class="getShipClass(grid.charAt(indexH -1) + indexV)">
                                <!--<img v-bind:src="'./img/' + cellContent(grid.charAt(indexH -1) + indexV) + '.png'" v-show="(cellContent(grid.charAt(indexH -1) + indexV) == false)?false:true" height="40" width="40">-->
                            </td>
                        </tr>
                    </table>
                    <button class="btn mt-2" v-on:click="saveShips" v-show="(gameData.ships.length == 0 && shipsLocated == 0)?true:false"> Save Ships! </button>
                </center>
            </div>
            <div class="col-md-4 justify-content-center">
                <ul class="mt-4">
                    <li v-for="ship in shipsType.type" v-show="loadShip(ship)">
                        <div v-bind:id="ship" v-on:dragstart="()=>{setDragElement(ship)}" v-on:dragend="drop" v-bind:height="shipsType.imageHeight" draggable="true">
                            <img v-bind:src="'./img/' + ship + '.png'">
                        </div>
                    </li>
                </ul>
                <center>
                    <button class="btn pt-2" v-on:click="rotate" v-show="(gameData.ships.length == 0 && shipsLocated != 0)?true:false"> {{ btnText }} </button>
                </center>
                <center>
                    <span class="btn btn-block"> {{ gameState }} </span>
                </center>
                <table class="table mt-2" v-show="(gameData.ships.length == 0 && shipsLocated != 0)?false:true">
                    <tr>
                        <th>Turn</th>
                        <th>My Salvoes</th>
                        <th>Opponent Salvoes</th>
                    </tr>
                    <tr v-for="turn in maxTurn">
                        <td> {{ turn }} </td>
                        <td> {{ hitNumber(turn, "Me") }} Hits
                            <ul v-show="sunkNumber(turn, 'Me')">
                                <li v-for="ship in getSunked(turn, 'Me')">
                                    {{ ship }} Sunked!
                                </li>
                            </ul>
                        </td>
                        <td> {{ hitNumber(turn, "Opponent") }} Hits
                            <ul v-show="sunkNumber(turn, 'Opponent')">
                                <li v-for="ship in getSunked(turn, 'Opponent')">
                                    {{ ship }} Sunked!
                                </li>
                            </ul>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="col-md-4">
                <center>
                    <h4> My Shoots! </h4>
                    <table style="background: url('./img/BackGround.gif')">
                        <tr v-for="indexV in 10">
                            <td v-for="indexH in 10" v-bind:id="grid.charAt(indexH -1) + indexV" v-on:click="setSalvo(grid.charAt(indexH -1) + indexV)" v-bind:class="cellContentSalvoes(grid.charAt(indexH -1) + indexV)">  </td>
                        </tr>
                    </table>
                    <button class="btn mt-2" v-on:click="fire" v-show="(gameData.gameState == 'FIRE')?true:false"> Fire! </button>
                </center>
            </div>
        </div>
    </div>

    <!-- jQuery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <!-- Carga de codigo en Vue.js -->
    <script src="./js/board.js"></script>
</body>
</html>